[API]
mysql_queryreal
mysql_affected_rows
mysql_insert_id
mysql_store_result
mysql_free_result

[INCLUDE]
MySQL_Shared

[CODE]
Public Function MySQL_Query_InsertUpdate(ByVal QueryString As String, Optional ByRef AffectedRows As Long, Optional ByRef InsertID As Long) As Boolean
  Dim xLong1 As Long

  If mysql_queryreal(MySQL_Handle, QueryString) = 0& Then
    AffectedRows = mysql_affected_rows(MySQL_Handle)
    If (AffectedRows > 0&) Then
      InsertID = mysql_insert_id(MySQL_Handle)
      End If
    xLong1 = mysql_store_result(MySQL_Handle)
    If Not xLong1 = 0& Then
      Call mysql_free_result(xLong1)
      End If
    MySQL_Query_InsertUpdate = True
    End If
  End Function
